MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024701Open CASCADE[OCCT] OCCT:Foundation Classespublic2014-03-07 15:152014-05-05 13:38
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024701: TKernel - drop redundant headers Standard_ctype.hxx and Standard_inverse.h
DescriptionRequest to remove pointless headers.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028180)
kgv (developer)
2014-03-07 15:18

Patch is ready for review in CR24701 branch.
(0028181)
abv (manager)
2014-03-07 15:51

No remarks, please test
(0028219)
mkv (tester)
2014-03-12 12:32

Dear BugMaster,

Branch CR24701 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4e417262e7a80004226350ec17359095be585b0b

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385517128 / 385720176
Total CPU difference: 42714.84999999983 / 43631.789999999986

Testing on Windows:
Total MEMORY difference: 431031064 / 430848212
Total CPU difference: 34265.625 / 30425.75

There are not differences in images found by testdiff.

- Related Changesets
occt: master 971c281b
Timestamp: 2014-03-07 11:16:22
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024701: TKernel - drop redundant headers Standard_ctype.hxx and Standard_inverse.h
mod - src/Standard/FILES Diff ] File ]
mod - src/Standard/Standard_Character.hxx Diff ] File ]
rm - src/Standard/Standard_ctype.hxx Diff ] File ]
mod - src/Standard/Standard_ExtCharacter.hxx Diff ] File ]
rm - src/Standard/Standard_inverse.h Diff ] File ]
mod - src/TCollection/TCollection_AsciiString.cxx Diff ] File ]
mod - src/TCollection/TCollection_ExtendedString.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-07 15:15 kgv New Issue
2014-03-07 15:15 kgv Assigned To => kgv
2014-03-07 15:18 kgv Note Added: 0028180
2014-03-07 15:18 kgv Assigned To kgv => abv
2014-03-07 15:18 kgv Status new => resolved
2014-03-07 15:51 abv Note Added: 0028181
2014-03-07 15:51 abv Assigned To abv => bugmaster
2014-03-07 15:51 abv Status resolved => reviewed
2014-03-07 16:23 mkv Assigned To bugmaster => mkv
2014-03-12 12:32 mkv Note Added: 0028219
2014-03-12 12:32 mkv Test case number => Not needed
2014-03-12 12:32 mkv Assigned To mkv => bugmaster
2014-03-12 12:32 mkv Status reviewed => tested
2014-03-17 11:21 bugmaster Changeset attached => occt master 971c281b
2014-03-17 11:21 bugmaster Status tested => verified
2014-03-17 11:21 bugmaster Resolution open => fixed
2014-05-05 13:33 aiv Status verified => closed
2014-05-05 13:38 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker